Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular ListView component is a list-like interface that allows you to select an item or multiple items. It represents data in an interactive hierarchical structure across different layouts and views.


Data binding

Powerful data binding allows data to be loaded from an array of primitive data, JSON data collections, or remote data sources. The component supports complex data with field mapping; different kinds of data services such as OData, OData V4, and web API; and data formats such as XML, JSON, JSONP, CSV, and HTML tables.

Data Binding in Angular ListView


Virtualization or load on demand

The Angular ListView supports UI virtualization to improve performance while loading huge amounts of data. This creates a fixed number of items regardless of data volume and displays only the relevant data.


Sortable list

Sort data programmatically in ascending or descending order. Also use custom sorting logic.

Group list

Group ListView data programmatically. Users can identify a group name from group headers in the view and also use custom sorting logic.

Multilevel ListView

The Angular ListView represents a nested data object structure as a list of lists. The initial screen displays the first-level list items and the next level is displayed when interacting with them.


Selection

Single selection

When a user clicks or taps an item, ListView enables the selection of the list item by default.

Checkboxes

The Angular ListView component supports multiple selection through checkboxes on the right or left of the list items. This helps users select or clear a series of items without using the keyboard.

Manipulation

Users can disable the ListView selection by handling events. Preserve and restore the selected values in the ListView to help users continue their work from a previously saved state.


Multiline text

Arrange the list item content with multiline text, icons, and avatars.


UI customization

Completely customize the ListView header, list items, and group header using template options. This helps users arrange their content in flexible formats like image view, multiline text view, and mixed mode.

Customization in Angular ListView


Grouping

ListView supports wrapping nested elements into groups based on categories. The category of each list item can be mapped with the groupBy field in the data table, which also supports single-level navigation.

Grouping in Angular ListView


Searching and filtering

Search and filter list view data based on the user input using the Data Manager.


Dual list

Design a dual list using Angular ListView to move data from one list to another.


ListView with Pager

The Angular ListView seamlessly integrates with the Angular Pager control.


Touch-Friendly in Angular ListView

Touch-friendly UI

The ListView component responds to screen size changes and adapts its contents to fit any device. It also recognizes touch gestures, enabling items to be selected or cleared when a tap or double-tap action is performed. This provides the best user experience for phones, tablets, and desktops.


Built-in and customizable themes

Several built-in, Sass-based themes are available: Fluent, Tailwind CSS, Bootstrap 5, Bootstrap, Material, and high contrast. Users can customize these themes by either overriding the existing Sass styles or creating custom themes using the Theme Studio application.


Angular version compatibility

With continuous improvements to Angular, the Angular ListView is kept up to date to make it compatible with the latest version.


Other supported frameworks

ListView is also available in our Blazor, React, Vue, and JavaScript frameworks. Check out the ListView for different platforms from these links:


Web accessibility

  • Fully supports WAI-ARIA accessibility that helps ListView be accessed by on-screen readers and assistive devices.
  • Follows the WCAG 2.0 standard with design of UI visual elements such as foreground color, background color, line spacing, text, and images.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.

Developer-friendly APIs

In ListView, developers can control all the UI elements and behaviors. A rich set of developer-friendly APIs provides the best user experience.


Angular ListView Code Example

Easily get started with the Angular ListView using a few simple lines of TS code example as demonstrated below. Also explore our Angular ListView Example that shows you how to render and configure a ListView in Angular.

  1. import { Component, OnInit } from '@angular/core';
  2.  
  3. @Component({
  4. selector: 'app-container',
  5. // specifies the template string for the Listview component
  6. template: `<ejs-listview id='sample-list' [dataSource]='data'></ejs-listview>`
  7. })
  8.  
  9. export class AppComponent {
  10. public data: Object = [
  11. { text: 'Artwork', id: '01' },
  12. { text: 'Abstract', id: '02' },
  13. { text: 'Modern Painting', id: '03' },
  14. { text: 'Ceramics', id: '04' },
  15. { text: 'Animation Art', id: '05' },
  16. { text: 'Oil Painting', id: '06' }];
  17. }

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • Built-in support for flexible data binding, sorting, grouping, nested navigation, multiple selection, templating, and more.
  • This high-performance component can load a huge amount of data on demand while being scrolled.
  • Data can be elegantly visualized with cards, images, icons, avatars, and badge representation for better understanding.
  • Simple configuration and API.
  • Expansive learning resources such as demos and documentation to let you get started quickly with the Angular ListView component.

We do not sell the Angular ListView separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular ListView. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular ListView demo, which demonstrates how to render and configure the ListView.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular ListView, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their ListView component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React ListView component is a list-like interface that allows you to select an item or multiple items. It represents data in an interactive hierarchical structure across different layouts and views.


Data binding

Powerful data binding allows data to be loaded from an array of primitive data, JSON data collections, or remote data sources. The component supports complex data with field mapping; different kinds of data services such as OData, OData V4, and web API; and data formats such as XML, JSON, JSONP, CSV, and HTML tables.

Data Binding in React ListView


Virtualization or load on demand

The React ListView supports UI virtualization to improve performance while loading huge amounts of data. This creates a fixed number of items regardless of data volume and displays only the relevant data.


Sortable list

Sort data programmatically in ascending or descending order. Also use custom sorting logic.

Group list

Group ListView data programmatically. Users can identify a group name from group headers in the view and also use custom sorting logic.

Multilevel ListView

The React ListView represents a nested data object structure as a list of lists. The initial screen displays the first-level list items and the next level is displayed when interacting with them.


Selection

Single selection

When a user clicks or taps an item, ListView enables the selection of the list item by default.

Checkboxes

The React ListView component supports multiple selection through checkboxes on the right or left of the list items. This helps users select or clear a series of items without using the keyboard.

Manipulation

Users can disable the ListView selection by handling events. Preserve and restore the selected values in the ListView to help users continue their work from a previously saved state.


Multiline text

Arrange the list item content with multiline text, icons, and avatars.


UI customization

Completely customize the ListView header, list items, and group header using template options. This helps users arrange their content in flexible formats like image view, multiline text view, and mixed mode.

Customization in React ListView


Grouping

ListView supports wrapping nested elements into groups based on categories. The category of each list item can be mapped with the groupBy field in the data table, which also supports single-level navigation.

Grouping in React ListView


Searching and filtering

Search and filter list view data based on the user input using the Data Manager.


Dual list

Design a dual list using React ListView to move data from one list to another.


ListView with Pager

The React ListView seamlessly integrates with the React Pager control.


Touch-Friendly in React ListView

Touch-friendly UI

The ListView component responds to screen sizes and adapts its contents to fit any device. It also recognizes touch gestures, enabling items to be selected or cleared when a tap or double-tap action is performed. This provides the best user experience for phones, tablets, and desktops.


Built-in and customizable themes

Several built-in, Sass-based themes are available: Fluent, Tailwind CSS, Bootstrap 5, Bootstrap, Material, and high contrast. Users can customize these themes by either overriding the existing Sass styles or creating custom themes using the Theme Studio application.


React ListView Code Example

Easily get started with the React ListView using a few simple lines of TSX code example as demonstrated below. Also explore our React ListView Example that shows you how to render and configure a ListView in React.

import * as React from 'react';
import * as ReactDOM from "react-dom";
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import { flatList, groupData } from './listData';

function App() {
  let fields = { groupBy: 'category' };

  return (
    <div className='control-pane'>
        <div className='control-section'>
            <div id="flat-list">
                <h4>Flat List</h4>
                {/* ListView element */}
                <ListViewComponent id="sample-list-flat" dataSource={flatList}></ListViewComponent>
            </div>
            <div id="group-list">
                <h4>Group List</h4>
                {/* Group ListView element */}
                <ListViewComponent id="sample-list-group" dataSource={groupData} fields={fields}></ListViewComponent>
            </div>
        </div>
      </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<App />);

Other supported frameworks

The ListView component is also available in our Blazor, Vue, Angular, and JavaScript frameworks. Check out the ListView on different platforms from these links:


Web accessibility

  • Fully supports WAI-ARIA accessibility that helps ListView be accessed by on-screen readers and assistive devices.
  • Follows the WCAG 2.0 standard with design of UI visual elements such as foreground color, background color, line spacing, text, and images.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.

Developer-friendly APIs

In ListView, developers can control all the UI elements and behaviors. A rich set of developer-friendly APIs provides the best user experience.




80+ REACT UI COMPONENTS

Frequently Asked Questions

Syncfusion React ListView provides the following features:

  • Built-in support for flexible data binding, sorting, grouping, nested navigation, multiple selection, templating, and more.
  • High performance means it can load a huge amount of data on demand while being scrolled.
  • Data can be elegantly visualized with cards, images, icons, avatars, and badges for better understanding.
  • One of the best React ListView components on the market, offering a feature-rich UI.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos and documentation to let you get started quickly with React ListView.

You can find our React ListView demo, which demonstrates how to render and configure the ListView.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon
Live Chat Icon For mobile